#ifndef CONTROLBRIGHTNESSWIDGET_H
#define CONTROLBRIGHTNESSWIDGET_H

#include <QWidget>
#include <wDevicesManager/controlbrightnessautowidget.h>
#include <wDevicesManager/controlbrightnessmanualwidget.h>
#include <wDevicesManager/controlbrightnessschedule.h>
#include "QStackedWidget"
#include <QButtonGroup>
namespace Ui {
class ControlBrightnessWidget;
}

class ControlBrightnessWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ControlBrightnessWidget(QWidget *parent = nullptr,QList<LedCard *> *m_pLedlist=nullptr);
    ~ControlBrightnessWidget();

private:
    void init();
protected slots:
    void OnControlTypeSwitchIndexChanged(int index);
    void refreshLable();
    void OnGetBrightnessModeType(bool b);
    void OnGetBrightnessAutoType(bool b);

private:
    Ui::ControlBrightnessWidget *ui;
    ControlBrightnessAutoWidget *m_pAuto=nullptr;
    ControlBrightnessManualWidget *m_pManual=nullptr;
    ControlBrightnessSchedule *m_pSchedule=nullptr;
    QStackedWidget *m_pStackedW;
    QButtonGroup *m_buttonGroup;
    QList<LedCard *> *m_pLedlist=nullptr;
    bool m_bSeleted=false;
    bool m_bAutoBrightnessFlag=true;


};

#endif // CONTROLBRIGHTNESSWIDGET_H
